## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElementPrefixResolverProxy Class Reference

`#include <ElementPrefixResolverProxy.hpp>`

Inheritance diagram for ElementPrefixResolverProxy:

[legend]
Collaboration diagram for ElementPrefixResolverProxy:

[legend]
List of all members.

## Public Methods

- ElementPrefixResolverProxy (const XalanElement *namespaceContext, const XPathEnvSupport &envSupport, const DOMSupport &domSupport)
    Construct an instance of an element prefix resolver proxy. More...
- ElementPrefixResolverProxy (const XalanElement *namespaceContext, const XPathEnvSupport *envSupport=0)
    Construct an instance of an element prefix resolver proxy. More...
- virtual ~ElementPrefixResolverProxy ()
- virtual const XalanDOMString* getNamespaceForPrefix (const XalanDOMString &prefix) const
    Retrieve a namespace corresponding to a prefix. More...
- virtual const XalanDOMString& getURI () const
    Retrieve the base URI for the resolver. More...

## Constructor & Destructor Documentation

ElementPrefixResolverProxy::ElementPrefixResolverProxy ( | const XalanElement * namespaceContext,
| const XPathEnvSupport & envSupport,
| const DOMSupport & domSupport )

  | Construct an instance of an element prefix resolver proxy. Parameters:
  namespaceContext | context object for namespace resolution
  envSupport | XPath environment support class instance
  domSupport | DOMSupport class instance
Deprecated:

ElementPrefixResolverProxy::ElementPrefixResolverProxy ( | const XalanElement * namespaceContext,
| const XPathEnvSupport * envSupport = 0 )

  | Construct an instance of an element prefix resolver proxy. Parameters:
  namespaceContext | context object for namespace resolution
  envSupport | XPath environment support class instance

ElementPrefixResolverProxy::~ElementPrefixResolverProxy ( | )`[virtual]`

## Member Function Documentation

const XalanDOMString * ElementPrefixResolverProxy::getNamespaceForPrefix ( | const XalanDOMString & prefix ) const`[virtual]`

  | Retrieve a namespace corresponding to a prefix. This assumes that the PrevixResolver holds its own namespace context, or is a namespace context itself. Parameters:
  prefix | Prefix to resolve
Returns: namespace that prefix resolves to, or null if prefix is not found Reimplemented from PrefixResolver.

const XalanDOMString & ElementPrefixResolverProxy::getURI ( | ) const`[virtual]`

| Retrieve the base URI for the resolver. Returns: URI string Reimplemented from PrefixResolver.

The documentation for this class was generated from the following file:

- ElementPrefixResolverProxy.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.